Subject: Double Donwload

From: Lonny Shavelson <[email-masked]>
Date: Fri, 17 May 1996 10:08:21 -0700 (PDT)

From: Lonny Shavelson <[email-masked]>

Dear Piners, 

> A curious feature of Pine some of you might be able to figure 
out:
>
> I've made a macro to download all unread mail.  From the main
> screen, the commands are:
>
> MI;SNAE
>
> That zips me right to the choice of methods (ASCII, etc) for
> downloading all of my unread mail at once.  And it works -- too 
well.  It seems to download many of the messsages TWICE -- i.e. 
in the file it goes to in my computer, I get a series of all the 
mail, and then I get a number of the e-mail letters at the end of 
the file repeated again.  It's easy to delete them, but a bit a 
nuisance.
>
> Any suggestions?  It's a quirky thing for Pine to be doing.  Is
> it searching for "n" (new messages) so fast that by the time it
> downloads them it hasn't realized it's already downloaded some 
and thus does it again?  (That might explain why it's only 
repeating the last few messages.)
What to do?
 
> Thanks.
> Lonny Shavelson